CVE-2022-30123

A sequence injection vulnerability exists in Rack <2.0.9.1, <2.1.4.1 and <2.2.3.1 which could allow is a possible shell escape in the Lint and CommonLogger components of Rack.
Configurations

Configuration 1 (hide)

OR cpe:2.3:a:rack_project:rack:*:*:*:*:*:*:*:*
cpe:2.3:a:rack_project:rack:*:*:*:*:*:*:*:*
cpe:2.3:a:rack_project:rack:*:*:*:*:*:*:*:*

Configuration 2 (hide)

cpe:2.3:o:debian:debian_linux:11.0:*:*:*:*:*:*:*

History

08 Dec 2023, 22:15

Type Values Removed Values Added
References
  • () https://security.netapp.com/advisory/ntap-20231208-0011/ -

18 Nov 2023, 02:44

Type Values Removed Values Added
CPE cpe:2.3:o:debian:debian_linux:11.0:*:*:*:*:*:*:*
First Time Debian
Debian debian Linux
References (DEBIAN) https://www.debian.org/security/2023/dsa-5530 - (DEBIAN) https://www.debian.org/security/2023/dsa-5530 - Third Party Advisory
References (GENTOO) https://security.gentoo.org/glsa/202310-18 - (GENTOO) https://security.gentoo.org/glsa/202310-18 - Third Party Advisory

30 Oct 2023, 12:15

Type Values Removed Values Added
References
  • (GENTOO) https://security.gentoo.org/glsa/202310-18 -

22 Oct 2023, 19:15

Type Values Removed Values Added
References
  • (DEBIAN) https://www.debian.org/security/2023/dsa-5530 -

07 Dec 2022, 04:38

Type Values Removed Values Added
First Time Rack Project rack
Rack Project
CPE cpe:2.3:a:rack_project:rack:*:*:*:*:*:*:*:*
CWE NVD-CWE-Other
CVSS v2 : unknown
v3 : unknown
v2 : unknown
v3 : 10.0
References (MISC) https://discuss.rubyonrails.org/t/cve-2022-30123-possible-shell-escape-sequence-injection-vulnerability-in-rack/80728 - (MISC) https://discuss.rubyonrails.org/t/cve-2022-30123-possible-shell-escape-sequence-injection-vulnerability-in-rack/80728 - Third Party Advisory

05 Dec 2022, 23:40

Type Values Removed Values Added
New CVE

Information

Published : 2022-12-05 22:15

Updated : 2023-12-10 14:48


NVD link : CVE-2022-30123

Mitre link : CVE-2022-30123

CVE.ORG link : CVE-2022-30123


JSON object : View

Products Affected

rack_project

  • rack

debian

  • debian_linux
CWE
NVD-CWE-Other CWE-150

Improper Neutralization of Escape, Meta, or Control Sequences